Kerbal Space Program - Bug #10059

Stable crash in flight on decoupler stage
06/26/2016 08:14 PM - gamerprogrammer

Status: Closed Start date: 06/26/2016
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version: 1.2.0

Version: 1.1.3 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

Steps to reproduce:

1. Launch craft.

2. Press [space] (engine stage)

3. Press [space] (decoupler stage)

4. Crash

I've attached some files. Hope it helps.
Environment:

Vanilla game from Steam (no mods)

0OSX 10.11.4 (15E65)

Model Name: MacBook Pro
Model Identifier: MacBookProll, 2
Processor Name: Intel Core 17
Processor Speed: 2.2 GHz
Number of Processors: 1
Total Number of Cores: 4
L2 Cache (per Core): 256 KB
L3 Cache: 6 MB
Memory: 16 GB
History

#1 - 06/26/2016 09:12 PM - gamerprogrammer

- File DecouplingCrash.craft added

- File DecouplingNoCrashQuiteSameCraft.craft added
- File Crash.zip added

| made minimal craft that crashes. Then | reattached unmanned command module and crash gone. I've reattached it to same part.

So the tree of parts should be same, perhaps there is an error in its generation - i've changed root node many times when | was building my craft.

Also | used subassembilies.
Craft files are in attachment. Also subassemblies (the problem was in STS-MTUG.craft).

Hope it helps.

#2 - 06/30/2016 03:51 PM - sal_vager

Hi gamerprogrammer, this is a known issue with the TR-38-D decoupler on OSX, though the cause is unknown.

It is the only decoupler with PhysicsSignificance = 1 (turning off physics) to make large craft less wobbly.

Changing this to PhysicsSignificance = 0 will prevent the issue.
You can find this in GameData/Squad/Parts/Structural/Size3Decoupler/part.cfg

#3 - 07/17/2016 11:06 AM - TriggerAu
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#5 - 10/13/2016 12:25 PM - Squelch
- Status changed from Confirmed to Ready to Test
- Target version set to 1.2.0

- % Done changed from 10 to 80

this was addressed and fixed for KSP 1.2

#6 - 11/18/2016 08:07 PM - JPLRepo
- Status changed from Ready to Test to Closed
- % Done changed from 80 to 100

Closing. No response.

Files

Auto-Saved Ship.craft 58.6 KB 06/26/2016 gamerprogrammer
persistent.sfs 1.97 MB 06/26/2016 gamerprogrammer
KSPDecouplerCrash.txt 75.8 KB 06/26/2016 gamerprogrammer
DecouplingCrash.craft 16.6 KB 06/26/2016 gamerprogrammer
DecouplingNoCrashQuiteSameCraft.craft 16.6 KB 06/26/2016 gamerprogrammer
Crash.zip 132 KB 06/26/2016 gamerprogrammer
